Rapid7 Vulnerability & Exploit Database

Amazon Linux AMI 2: CVE-2021-3177: Security patch for python3, python (ALAS-2021-1611)

Back to Search

Amazon Linux AMI 2: CVE-2021-3177: Security patch for python3, python (ALAS-2021-1611)

Severity
8
CVSS
(AV:N/AC:L/Au:N/C:P/I:P/A:P)
Published
01/19/2021
Created
02/23/2021
Added
02/22/2021
Modified
02/22/2021

Description

Python 3.x through 3.9.1 has a buffer overflow in PyCArg_repr in _ctypes/callproc.c, which may lead to remote code execution in certain Python applications that accept floating-point numbers as untrusted input, as demonstrated by a 1e300 argument to c_double.from_param. This occurs because sprintf is used unsafely.

Solution(s)

  • amazon-linux-ami-2-upgrade-python
  • amazon-linux-ami-2-upgrade-python-debug
  • amazon-linux-ami-2-upgrade-python-debuginfo
  • amazon-linux-ami-2-upgrade-python-devel
  • amazon-linux-ami-2-upgrade-python-libs
  • amazon-linux-ami-2-upgrade-python-test
  • amazon-linux-ami-2-upgrade-python-tools
  • amazon-linux-ami-2-upgrade-python3
  • amazon-linux-ami-2-upgrade-python3-debug
  • amazon-linux-ami-2-upgrade-python3-debuginfo
  • amazon-linux-ami-2-upgrade-python3-devel
  • amazon-linux-ami-2-upgrade-python3-libs
  • amazon-linux-ami-2-upgrade-python3-test
  • amazon-linux-ami-2-upgrade-python3-tkinter
  • amazon-linux-ami-2-upgrade-python3-tools
  • amazon-linux-ami-2-upgrade-tkinter

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;